using System;
using System.Text.RegularExpressions;

namespace Takmicenje
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string s = Console.ReadLine();
            string[] br = Regex.Split(s, @"\s");
            int[,] matrica = new int[int.Parse(br[0]), int.Parse(br[1])];
            var povrsina = int.Parse(br[0]) * int.Parse(br[1]);
            float razlika = 0;
            var x = float.Parse(br[0]) - 2;
            var y = float.Parse(br[1]) - 2;
            var p = x * y;
            if (x % 2 == 0)
            {
                razlika = x / 2 * y;
            }
            else
            {
                razlika = (p + 1) / 2;
            }
            Console.WriteLine(povrsina - razlika);
        }
    }
}